## vlc-0.2.81.tar.bz2

=== Makefile ===
###############################################################################
# vlc (VideoLAN Client) main Makefile - (c)1998 VideoLAN
###############################################################################

include Makefile.opts

###############################################################################
# Objects and files
###############################################################################

# 
# All possible plugin directories, needed for make clean
#
PLUGINS_DIR :=	alsa beos darwin directx dsp dummy dvd esd fb ggi glide gtk downmix idct imdct kde macosx mga motion mpeg qt sdl text x11 yuv

#
# All possible plugin objects
#
PLUGINS_TARGETS := alsa/alsa beos/beos darwin/darwin directx/directx dsp/dsp dummy/dummy dummy/null dvd/dvd esd/esd fb/fb ggi/ggi glide/glide gtk/gnome gtk/gtk downmix/downmix downmix/downmixsse downmix/downmix3dn idct/idct idct/idctclassic idct/idctmmx idct/idctmmxext imdct/imdct imdct/imdct3dn imdct/imdctsse kde/kde macosx/macosx mga/mga motion/motion motion/motionmmx motion/motionmmxext mpeg/es mpeg/ps mpeg/ts qt/qt sdl/sdl text/ncurses text/rc x11/x11 x11/xvideo yuv/yuv yuv/yuvmmx

#
# C Objects
# 
INTERFACE := main interface intf_msg intf_playlist intf_channels
INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_netlist input_clock mpeg_system
VIDEO_OUTPUT := video_output video_text video_spu video_yuv
AUDIO_OUTPUT := audio_output aout_ext-dec aout_u8 aout_s8 aout_u16 aout_s16 aout_spdif
AC3_DECODER := ac3_decoder_thread ac3_decoder ac3_parse ac3_exponent ac3_bit_allocate ac3_mantissa ac3_rematrix ac3_imdct
AC3_SPDIF := ac3_spdif ac3_iec958
LPCM_DECODER := lpcm_decoder_thread
AUDIO_DECODER := audio_decoder adec_generic adec_layer1 adec_layer2 adec_math
SPU_DECODER := spu_decoder
VIDEO_DECODER := video_parser vpar_headers vpar_blocks vpar_synchro vpar_pool video_decoder
MISC := mtime tests modules netutils

C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
		$(INPUT:%=src/input/%.o) \
		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
		$(AC3_DECODER:%=src/ac3_decoder/%.o) \
		$(AC3_SPDIF:%=src/ac3_spdif/%.o) \
		$(LPCM_DECODER:%=src/lpcm_decoder/%.o) \
		$(AUDIO_DECODER:%=src/audio_decoder/%.o) \
		$(SPU_DECODER:%=src/spu_decoder/%.o) \
		$(VIDEO_DECODER:%=src/video_decoder/%.o) \
		$(MISC:%=src/misc/%.o)

#
# Misc Objects
# 
ifeq ($(GETOPT),1)
C_OBJ += extras/GNUgetopt/getopt.o extras/GNUgetopt/getopt1.o 
endif

ifeq ($(SYS),beos)
CPP_OBJ :=	src/misc/beos_specific.o
endif

ifneq (,$(findstring darwin,$(SYS)))
C_OBJ +=	src/misc/darwin_specific.o
endif

ifneq (,$(findstring mingw32,$(SYS)))
RESOURCE_OBJ :=	share/vlc_win32_rc.o
endif

#
# Generated header
#
H_OBJ :=	src/misc/modules_builtin.h

#
# Other lists of files
#
C_DEP := $(C_OBJ:%.o=.dep/%.d)
CPP_DEP := $(CPP_OBJ:%.o=.dep/%.dpp)

#
# Translate plugin names
#
ifneq (,$(PLUGINS))
PLUGIN_OBJ := $(shell for i in $(PLUGINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.so@' -e 's@^ .*@@' ; done)
endif
ifneq (,$(BUILTINS))
BUILTIN_OBJ := $(shell for i in $(BUILTINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.a@' -e 's@^ .*@@' ; done)
endif

# All symbols must be exported
export

###############################################################################
# Targets
###############################################################################

#
# Virtual targets
#
all: vlc ${ALIASES} plugins vlc.app

clean: libdvdcss-clean plugins-clean vlc-clean
	rm -f src/*/*.o extras/*/*.o
	rm -f lib/*.so lib/*.so.* lib/*.a
	rm -f plugins/*.so plugins/*.so.* plugins/*.a

libdvdcss-clean:
	cd extras/libdvdcss && $(MAKE) clean

plugins-clean:
	for dir in $(PLUGINS_DIR) ; do \
		( cd plugins/$${dir} && $(MAKE) clean ) ; done
	rm -f plugins/*/*.o plugins/*/*.moc plugins/*/*.bak

vlc-clean:
	rm -f $(C_OBJ) $(CPP_OBJ)
	rm -f vlc gnome-vlc gvlc kvlc qvlc vlc.exe
	rm -Rf vlc.app

distclean: clean
	rm -f **/*.o **/*~ *.log
	rm -f Makefile.opts
	rm -f include/defs.h include/config.h include/modules_builtin.h
	rm -f src/misc/modules_builtin.h
	rm -f config*status config*cache config*log
	rm -f gmon.out core build-stamp
	rm -Rf .dep
	rm -f .gdb_history

install: libdvdcss-install vlc-install plugins-install

uninstall: libdvdcss-uninstall vlc-uninstall plugins-uninstall

vlc-install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) vlc $(DESTDIR)$(bindir)
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias && ln -s vlc $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	mkdir -p $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.psf $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.png $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.xpm $(DESTDIR)$(datadir)/videolan

vlc-uninstall:
	rm vlc $(DESTDIR)$(bindir)/vlc
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	rm -f $(DESTDIR)$(datadir)/videolan/*.psf
	rm -f $(DESTDIR)$(datadir)/videolan/*.png
	rm -f $(DESTDIR)$(datadir)/videolan/*.xpm

plugins-install:
	mkdir -p $(DESTDIR)$(libdir)/videolan/vlc
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=plugins/%.so) $(DESTDIR)$(libdir)/videolan/vlc
endif

plugins-uninstall:
ifneq (,$(PLUGINS))
	rm -f $(DESTDIR)$(libdir)/videolan/vlc/*.so
endif

libdvdcss-install:
	cd extras/libdvdcss && $(MAKE) install

libdvdcss-uninstall:
	cd extras/libdvdcss && $(MAKE) uninstall

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo DCFLAGS: $(DCFLAGS)
	@echo LCFLAGS: $(LCFLAGS)
	@echo C_OBJ: $(C_OBJ)
	@echo CPP_OBJ: $(CPP_OBJ)
	@echo objects: $(objects)
	@echo cppobjects: $(cppobjects)
	@echo PLUGIN_OBJ: $(PLUGIN_OBJ)
	@echo BUILTIN_OBJ: $(BUILTIN_OBJ)


# ugliest of all, but I have no time to do it -- sam
snapshot: clean Makefile.opts
	rm -Rf /tmp/vlc-${PROGRAM_VERSION}* /tmp/vlc-${PROGRAM_VERSION}nocss*
	# copy archive in /tmp
	find -type d | grep -v CVS | grep -v '\.dep' | while read i ; \
		do mkdir -p /tmp/vlc-${PROGRAM_VERSION}/$$i ; \
	done
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf /tmp/vlc-${PROGRAM_VERSION}/$$i ; done
	# .c .h .in .cpp .glade
	find include src plugins -type f -name '*.[chig]*' | while read i ; \
		do cp $$i /tmp/vlc-${PROGRAM_VERSION}/$$i ; done
	# Makefiles
	find . plugins -type f -name Makefile | while read i ; \
		do cp $$i /tmp/vlc-${PROGRAM_VERSION}/$$i ; done
	# extra files
	cp -a extras/* /tmp/vlc-${PROGRAM_VERSION}/extras
	cp -a doc/* /tmp/vlc-${PROGRAM_VERSION}/doc
	find /tmp/vlc-${PROGRAM_VERSION}/extras \
		/tmp/vlc-${PROGRAM_VERSION}/doc \
		-type d -name CVS | while read i ; \
			do rm -Rf $$i ; \
		done
	# copy misc files
	cp vlc.spec AUTHORS COPYING ChangeLog INSTALL INSTALL.libdvdcss \
		INSTALL-win32.txt README TODO todo.pl \
		Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh config.sub config.guess \
			/tmp/vlc-${PROGRAM_VERSION}/
	for file in control control-css vlc-gtk.menu vlc.copyright vlc.docs \
		changelog changelog-css rules rules-css vlc.dirs vlc.desktop \
		gvlc.desktop gnome-vlc.desktop vlc.menu ; do \
			cp debian/$$file /tmp/vlc-${PROGRAM_VERSION}/debian/ ; \
		done
	for file in default8x16.psf default8x9.psf vlc_beos.rsrc vlc.icns \
		gvlc_win32.ico vlc_win32_rc.rc ; do \
			cp share/$$file /tmp/vlc-${PROGRAM_VERSION}/share/ ; \
		done
	for icon in vlc gvlc qvlc gnome-vlc kvlc ; do \
		cp share/$$icon.xpm share/$$icon.png \
			/tmp/vlc-${PROGRAM_VERSION}/share/ ; done

	# build css-enabled archives
	(cd /tmp ; tar cf vlc-${PROGRAM_VERSION}.tar vlc-${PROGRAM_VERSION} ; \
		bzip2 -f -9 < vlc-${PROGRAM_VERSION}.tar \
			> vlc-${PROGRAM_VERSION}.tar.bz2 ; \
		gzip -f -9 vlc-${PROGRAM_VERSION}.tar )
	mv /tmp/vlc-${PROGRAM_VERSION}.tar.gz \
		/tmp/vlc-${PROGRAM_VERSION}.tar.bz2 ..

	# clean up
	rm -Rf /tmp/vlc-${PROGRAM_VERSION}*

libdvdcss-snapshot: clean Makefile.opts
	rm -Rf /tmp/libdvdcss-${LIBDVDCSS_VERSION}* \
		/tmp/libdvdcss-${LIBDVDCSS_VERSION}nocss*
	# copy archive in /tmp
	find include extras doc lib -type d | grep -v CVS | grep -v '\.dep' | \
		while read i ; do \
			mkdir -p /tmp/libdvdcss-${LIBDVDCSS_VERSION}/$$i ; \
		done
	# .c .h .in .cpp .glade
	find include extras -type f -name '*.[chig]*' | while read i ; \
		do cp $$i /tmp/libdvdcss-${LIBDVDCSS_VERSION}/$$i ; done
	# Makefiles
	sed -e 's#^install:#install-unused:#' \
		-e 's#^uninstall:#uninstall-unused:#' \
		-e 's#^clean:#clean-unused:#' \
		-e 's#^all:.*#all: libdvdcss#' \
		-e 's#^libdvdcss-install:#install:#' \
		-e 's#^libdvdcss-uninstall:#uninstall:#' \
		-e 's#^libdvdcss-clean:#clean:#' \
		< Makefile > /tmp/libdvdcss-${LIBDVDCSS_VERSION}/Makefile
	# extra files
	cp -a extras/* /tmp/libdvdcss-${LIBDVDCSS_VERSION}/extras
	cp -a doc/* /tmp/libdvdcss-${LIBDVDCSS_VERSION}/doc
	find /tmp/libdvdcss-${LIBDVDCSS_VERSION}/extras \
		/tmp/libdvdcss-${LIBDVDCSS_VERSION}/doc \
		-type d -name CVS | while read i ; \
			do rm -Rf $$i ; \
		done
	# copy misc files
	cp AUTHORS COPYING ChangeLog INSTALL INSTALL.libdvdcss README \
		TODO todo.pl Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh config.sub config.guess \
			/tmp/libdvdcss-${LIBDVDCSS_VERSION}/

	# build css-enabled archives
	(cd /tmp ; tar cf libdvdcss-${LIBDVDCSS_VERSION}.tar \
		libdvdcss-${LIBDVDCSS_VERSION} ; \
		bzip2 -f -9 < libdvdcss-${LIBDVDCSS_VERSION}.tar \
			> libdvdcss-${LIBDVDCSS_VERSION}.tar.bz2 ; \
		gzip -f -9 libdvdcss-${LIBDVDCSS_VERSION}.tar )
	mv /tmp/libdvdcss-${LIBDVDCSS_VERSION}.tar.gz \
		/tmp/libdvdcss-${LIBDVDCSS_VERSION}.tar.bz2 ..

	# clean up
	rm -Rf /tmp/libdvdcss-${LIBDVDCSS_VERSION}*

.PHONY: vlc.app
vlc.app:
ifneq (,$(findstring darwin,$(SYS)))
	rm -Rf vlc.app
	mkdir -p vlc.app/Contents/Resources
	mkdir -p vlc.app/Contents/MacOS/lib
	mkdir -p vlc.app/Contents/MacOS/share
	$(INSTALL) -m 644 extras/MacOSX_app/Contents/Info.plist vlc.app/Contents/
	$(INSTALL) -m 644 extras/MacOSX_app/Contents/PkgInfo vlc.app/Contents/
	$(INSTALL) vlc vlc.app/Contents/MacOS/
	$(INSTALL) share/vlc.icns vlc.app/Contents/Resources/
ifneq (,$(PLUGINS))
	$(INSTALL) $(PLUGINS:%=plugins/%.so) vlc.app/Contents/MacOS/plugins
endif
	$(INSTALL) -m 644 share/*.psf vlc.app/Contents/MacOS/share
endif

FORCE:

#
# GTK/Gnome aliases - don't add too many aliases which could bloat
# the namespace
#
gnome-vlc gvlc kvlc qvlc: vlc
	rm -f $@ && ln -s vlc $@

#
# Generic rules (see below)
#
$(C_DEP): %.d: FORCE
	@$(MAKE) -s --no-print-directory -f Makefile.dep $@

$(CPP_DEP): %.dpp: FORCE
	@$(MAKE) -s --no-print-directory -f Makefile.dep $@

$(H_OBJ): Makefile.opts Makefile.dep Makefile
	rm -f $@ && cp $@.in $@
ifneq (,$(BUILTINS))
	for i in $(BUILTINS) ; do \
		echo "int module_"$$i"_InitModule( module_t* );" >> $@ ; \
		echo "int module_"$$i"_ActivateModule( module_t* );" >> $@ ; \
		echo "int module_"$$i"_DeactivateModule( module_t* );" >> $@ ; \
	done
endif
ifneq (,$(BUILTINS))
	echo "" >> $@ ;
	printf "#define ALLOCATE_ALL_BUILTINS() do { " >> $@ ;
	for i in $(BUILTINS) ; do \
		printf "ALLOCATE_BUILTIN("$$i"); " >> $@ ; \
	done
	echo "} while( 0 );" >> $@ ;
endif
	echo "" >> $@ ;

$(C_OBJ): %.o: Makefile.opts Makefile.dep Makefile
$(C_OBJ): %.o: .dep/%.d
$(C_OBJ): %.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

$(CPP_OBJ): %.o: Makefile.opts Makefile.dep Makefile
$(CPP_OBJ): %.o: .dep/%.dpp
$(CPP_OBJ): %.o: %.cpp
	$(CC) $(CFLAGS) -c -o $@ $<

$(RESOURCE_OBJ): %.o: Makefile.dep Makefile
ifneq (,(findstring mingw32,$(SYS)))
$(RESOURCE_OBJ): %.o: %.rc
	$(WINDRES) -i $< -o $@
endif

#
# Main application target
#
vlc: Makefile.opts Makefile.dep Makefile $(H_OBJ) $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)
	$(CC) $(CFLAGS) -o $@ $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ) $(LCFLAGS)
ifeq ($(SYS),beos)
	xres -o $@ ./share/vlc_beos.rsrc
	mimeset -f $@
endif

#
# Plugins target
#
plugins: Makefile.modules Makefile.opts Makefile.dep Makefile $(PLUGIN_OBJ)
$(PLUGIN_OBJ): FORCE

=== plugins/darwin/Makefile ===
###############################################################################
# vlc (VideoLAN Client) Darwin module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = darwin.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../plugins/darwin.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_DARWIN)

../../plugins/darwin.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/directx/Makefile ===
###############################################################################
# vlc (VideoLAN Client) DirectX module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = directx.o vout_directx.o vout_events.o aout_directx.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../plugins/directx.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_DIRECTX)

../../plugins/directx.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/downmix/Makefile ===
###############################################################################
# vlc (VideoLAN Client) downmix module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_DOWNMIX = downmix.o ac3_downmix_c.o
PLUGIN_DOWNMIXSSE = downmixsse.o ac3_downmix_sse.o
PLUGIN_DOWNMIX3DN = downmix3dn.o ac3_downmix_3dn.o

BUILTIN_DOWNMIX = $(PLUGIN_DOWNMIX:%.o=BUILTIN_DOWNMIX_%.o)
BUILTIN_DOWNMIXSSE = $(PLUGIN_DOWNMIXSSE:%.o=BUILTIN_DOWNMIXSSE_%.o)
BUILTIN_DOWNMIX3DN = $(PLUGIN_DOWNMIX3DN:%.o=BUILTIN_DOWNMIX3DN_%.o)

PLUGIN_C = $(PLUGIN_DOWNMIX) $(PLUGIN_DOWNMIXSSE) $(PLUGIN_DOWNMIX3DN)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_DOWNMIX) $(BUILTIN_DOWNMIXSSE) $(BUILTIN_DOWNMIX3DN)

#
# Virtual targets
#

include ../../Makefile.modules

$(BUILTIN_DOWNMIX): BUILTIN_DOWNMIX_%.o: .dep/%.d
$(BUILTIN_DOWNMIX): BUILTIN_DOWNMIX_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=downmix -c -o $@ $<

$(BUILTIN_DOWNMIXSSE): BUILTIN_DOWNMIXSSE_%.o: .dep/%.d
$(BUILTIN_DOWNMIXSSE): BUILTIN_DOWNMIXSSE_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=downmixsse -c -o $@ $<

$(BUILTIN_DOWNMIX3DN): BUILTIN_DOWNMIX3DN_%.o: .dep/%.d
$(BUILTIN_DOWNMIX3DN): BUILTIN_DOWNMIX3DN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=downmix3dn -c -o $@ $<

#
# Real targets
#

../../plugins/downmix.so: $(PLUGIN_DOWNMIX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/downmix.a: $(BUILTIN_DOWNMIX)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/downmixsse.so: $(PLUGIN_DOWNMIXSSE)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/downmixsse.a: $(BUILTIN_DOWNMIXSSE)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/downmix3dn.so: $(PLUGIN_DOWNMIX3DN)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/downmix3dn.a: $(BUILTIN_DOWNMIX3DN)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/dummy/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dummy and null module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_NULL = null.o
PLUGIN_DUMMY = dummy.o aout_dummy.o vout_dummy.o intf_dummy.o input_dummy.o
BUILTIN_NULL = $(PLUGIN_NULL:%.o=BUILTIN_%.o)
BUILTIN_DUMMY = $(PLUGIN_DUMMY:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_NULL) $(PLUGIN_DUMMY)
BUILTIN_C = $(BUILTIN_NULL) $(BUILTIN_DUMMY)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../plugins/null.so: $(PLUGIN_NULL)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/null.a: $(BUILTIN_NULL)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/dummy.so: $(PLUGIN_DUMMY)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/dummy.a: $(BUILTIN_DUMMY)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/dvd/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dvd module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_DVD = dvd.o input_dvd.o dvd_netlist.o dvd_ifo.o dvd_udf.o dvd_summary.o
BUILTIN_DVD = $(PLUGIN_DVD:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_DVD) $(BUILTIN_DVD)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_DVD): %.o: .dep/%.d
$(PLUGIN_DVD): %.o: %.c
	$(CC) $(CFLAGS_DVD) $(CFLAGS) $(PCFLAGS) -DPLUGIN -c -o $@ $<

$(BUILTIN_DVD): BUILTIN_%.o: .dep/%.d
$(BUILTIN_DVD): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS_DVD) $(CFLAGS) -DBUILTIN -c -o $@ $<

#
# Real targets
#

ifeq (1,$(LOCAL_LIBDVDCSS))
../../plugins/dvd.so: libdvdcss $(PLUGIN_DVD)
	$(CC) $(PCFLAGS) -o $@ $(PLUGIN_DVD) $(PLCFLAGS) $(LIB_DVD_PLUGIN)

../../plugins/dvd.a: libdvdcss $(BUILTIN_DVD)
	ar r $@ $(BUILTIN_DVD)
	$(RANLIB) $@
else
../../plugins/dvd.so: $(PLUGIN_DVD)
	$(CC) $(PCFLAGS) -o $@ $(PLUGIN_DVD) $(PLCFLAGS) $(LIB_DVD_PLUGIN)

../../plugins/dvd.a: $(BUILTIN_DVD)
	ar r $@ $(BUILTIN_DVD)
	$(RANLIB) $@
endif

libdvdcss:
	cd ../../ && $(MAKE) libdvdcss

=== plugins/esd/Makefile ===
###############################################################################
# vlc (VideoLAN Client) esd module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = esd.o aout_esd.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../plugins/esd.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_ESD)

../../plugins/esd.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/ggi/Makefile ===
###############################################################################
# vlc (VideoLAN Client) ggi module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = ggi.o vout_ggi.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../plugins/ggi.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GGI)

../../plugins/ggi.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/glide/Makefile ===
###############################################################################
# vlc (VideoLAN Client) glide module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_GLIDE = glide.o vout_glide.o
BUILTIN_GLIDE = $(PLUGIN_GLIDE:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_GLIDE) $(BUILTIN_GLIDE)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_GLIDE): %.o: .dep/%.d
$(PLUGIN_GLIDE): %.o: %.c
	$(CC) $(CFLAGS) -DPLUGIN $(PCFLAGS) -I/usr/include/glide -c -o $@ $<

$(BUILTIN_GLIDE): BUILTIN_%.o: .dep/%.d
$(BUILTIN_GLIDE): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -I/usr/include/glide -c -o $@ $<

#
# Real targets
#

../../plugins/glide.so: $(PLUGIN_GLIDE)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GLIDE)

../../plugins/glide.a: $(BUILTIN_GLIDE)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/idct/Makefile ===
###############################################################################
# vlc (VideoLAN Client) idct module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_IDCT = idct.o
PLUGIN_IDCTCLASSIC = idctclassic.o
PLUGIN_IDCTMMX = idctmmx.o
PLUGIN_IDCTMMXEXT = idctmmxext.o
PLUGIN_IDCTALTIVEC = idctaltivec.o
PLUGIN_IDCTCOMMON = vdec_idct.o
PLUGIN_VDECBLOCK_C = vdec_block_c.o
PLUGIN_VDECBLOCK_MMX = vdec_block_mmx.o

BUILTIN_IDCT = $(PLUGIN_IDCT:%.o=BUILTIN_IDCT_%.o) \
		$(PLUGIN_IDCTCOMMON:%.o=BUILTIN_IDCT_%.o) \
		$(PLUGIN_VDECBLOCK_C:%.o=BUILTIN_IDCT_%.o)
BUILTIN_IDCTCLASSIC = $(PLUGIN_IDCTCLASSIC:%.o=BUILTIN_IDCTCLASSIC_%.o) \
		$(PLUGIN_IDCTCOMMON:%.o=BUILTIN_IDCTCLASSIC_%.o) \
		$(PLUGIN_VDECBLOCK_C:%.o=BUILTIN_IDCTCLASSIC_%.o)
BUILTIN_IDCTMMX = $(PLUGIN_IDCTMMX:%.o=BUILTIN_IDCTMMX_%.o) \
		$(PLUGIN_IDCTCOMMON:%.o=BUILTIN_IDCTMMX_%.o) \
		$(PLUGIN_VDECBLOCK_MMX:%.o=BUILTIN_IDCTMMX_%.o)
BUILTIN_IDCTMMXEXT = $(PLUGIN_IDCTMMXEXT:%.o=BUILTIN_IDCTMMXEXT_%.o) \
		$(PLUGIN_IDCTCOMMON:%.o=BUILTIN_IDCTMMXEXT_%.o) \
		$(PLUGIN_VDECBLOCK_MMX:%.o=BUILTIN_IDCTMMXEXT_%.o)
BUILTIN_IDCTALTIVEC = $(PLUGIN_IDCTALTIVEC:%.o=BUILTIN_IDCTALTIVEC_%.o) \
		$(PLUGIN_IDCTCOMMON:%.o=BUILTIN_IDCTALTIVEC_%.o) \
		$(PLUGIN_VDECBLOCK_C:%.o=BUILTIN_IDCTALTIVEC_%.o)

PLUGIN_C = $(PLUGIN_IDCT) $(PLUGIN_IDCTCLASSIC) $(PLUGIN_IDCTMMX) $(PLUGIN_IDCTMMXEXT) $(PLUGIN_IDCTCOMMON) $(PLUGIN_VDECBLOCK_C) $(PLUGIN_VDECBLOCK_MMX)
ALL_OBJ = $(PLUGIN_C) $(PLUGIN_IDCTALTIVEC) $(BUILTIN_IDCT) $(BUILTIN_IDCTCLASSIC) $(BUILTIN_IDCTMMX) $(BUILTIN_IDCTMMXEXT) $(BUILTIN_IDCTALTIVEC)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_IDCTALTIVEC): %.o: .dep/%.d
$(PLUGIN_IDCTALTIVEC): %.o: %.c
	$(CC) $(CFLAGS) -DPLUGIN $(PCFLAGS) -faltivec -c -o $@ $<

$(BUILTIN_IDCT): BUILTIN_IDCT_%.o: .dep/%.d
$(BUILTIN_IDCT): BUILTIN_IDCT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idct -c -o $@ $<

$(BUILTIN_IDCTCLASSIC): BUILTIN_IDCTCLASSIC_%.o: .dep/%.d
$(BUILTIN_IDCTCLASSIC): BUILTIN_IDCTCLASSIC_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctclassic -c -o $@ $<

$(BUILTIN_IDCTMMX): BUILTIN_IDCTMMX_%.o: .dep/%.d
$(BUILTIN_IDCTMMX): BUILTIN_IDCTMMX_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctmmx -c -o $@ $<

$(BUILTIN_IDCTMMXEXT): BUILTIN_IDCTMMXEXT_%.o: .dep/%.d
$(BUILTIN_IDCTMMXEXT): BUILTIN_IDCTMMXEXT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctmmxext -c -o $@ $<

$(BUILTIN_IDCTALTIVEC): BUILTIN_IDCTALTIVEC_%.o: .dep/%.d
$(BUILTIN_IDCTALTIVEC): BUILTIN_IDCTALTIVEC_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=idctaltivec -c -o $@ $<

#
# Real targets
#

../../plugins/idct.so: $(PLUGIN_IDCT) $(PLUGIN_IDCTCOMMON) $(PLUGIN_VDECBLOCK_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/idct.a: $(BUILTIN_IDCT)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/idctclassic.so: $(PLUGIN_IDCTCLASSIC) $(PLUGIN_IDCTCOMMON) $(PLUGIN_VDECBLOCK_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/idctclassic.a: $(BUILTIN_IDCTCLASSIC)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/idctmmx.so: $(PLUGIN_IDCTMMX) $(PLUGIN_IDCTCOMMON) $(PLUGIN_VDECBLOCK_MMX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/idctmmx.a: $(BUILTIN_IDCTMMX)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/idctmmxext.so: $(PLUGIN_IDCTMMXEXT) $(PLUGIN_IDCTCOMMON) $(PLUGIN_VDECBLOCK_MMX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/idctmmxext.a: $(BUILTIN_IDCTMMXEXT)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/idctaltivec.so: $(PLUGIN_IDCTALTIVEC) $(PLUGIN_IDCTCOMMON) $(PLUGIN_VDECBLOCK_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_IDCTALTIVEC)

../../plugins/idctaltivec.a: $(BUILTIN_IDCTALTIVEC)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/mga/Makefile ===
###############################################################################
# vlc (VideoLAN Client) mga module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = mga.o vout_mga.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../plugins/mga.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/mga.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/motion/Makefile ===
###############################################################################
# vlc (VideoLAN Client) motion module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_MOTION = motion.o vdec_motion_inner.o
PLUGIN_MOTIONMMX = motionmmx.o vdec_motion_inner_mmx.o
PLUGIN_MOTIONMMXEXT = motionmmxext.o vdec_motion_inner_mmxext.o
PLUGIN_MOTIONCOMMON = vdec_motion_common.o

BUILTIN_MOTION = $(PLUGIN_MOTION:%.o=BUILTIN_MOTION_%.o) \
		$(PLUGIN_MOTIONCOMMON:%.o=BUILTIN_MOTION_%.o)
BUILTIN_MOTIONMMX = $(PLUGIN_MOTIONMMX:%.o=BUILTIN_MOTIONMMX_%.o) \
		$(PLUGIN_MOTIONCOMMON:%.o=BUILTIN_MOTIONMMX_%.o)
BUILTIN_MOTIONMMXEXT = $(PLUGIN_MOTIONMMXEXT:%.o=BUILTIN_MOTIONMMXEXT_%.o) \
		$(PLUGIN_MOTIONCOMMON:%.o=BUILTIN_MOTIONMMXEXT_%.o)

PLUGIN_C = $(PLUGIN_MOTION) $(PLUGIN_MOTIONMMX) $(PLUGIN_MOTIONMMXEXT) $(PLUGIN_MOTIONCOMMON)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_MOTION) $(BUILTIN_MOTIONMMX) $(BUILTIN_MOTIONMMXEXT)

#
# Virtual targets
#

include ../../Makefile.modules

$(BUILTIN_MOTION): BUILTIN_MOTION_%.o: .dep/%.d
$(BUILTIN_MOTION): BUILTIN_MOTION_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=motion -c -o $@ $<

$(BUILTIN_MOTIONMMX): BUILTIN_MOTIONMMX_%.o: .dep/%.d
$(BUILTIN_MOTIONMMX): BUILTIN_MOTIONMMX_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=motionmmx -c -o $@ $<

$(BUILTIN_MOTIONMMXEXT): BUILTIN_MOTIONMMXEXT_%.o: .dep/%.d
$(BUILTIN_MOTIONMMXEXT): BUILTIN_MOTIONMMXEXT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=motionmmxext -c -o $@ $<

#
# Real targets
#

../../plugins/motion.so: $(PLUGIN_MOTION) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/motion.a: $(BUILTIN_MOTION)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/motionclassic.so: $(PLUGIN_MOTIONCLASSIC) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/motionclassic.a: $(BUILTIN_MOTIONCLASSIC)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/motionmmx.so: $(PLUGIN_MOTIONMMX) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/motionmmx.a: $(BUILTIN_MOTIONMMX)
	ar r $@ $^
	$(RANLIB) $@

../../plugins/motionmmxext.so: $(PLUGIN_MOTIONMMXEXT) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../plugins/motionmmxext.a: $(BUILTIN_MOTIONMMXEXT)
	ar r $@ $^
	$(RANLIB) $@

=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, libgnome-dev, libggi2-dev, libglide3-dev [i386], libesd0-dev, libsdl1.2-dev, libqt-dev, libasound1-dev
Standards-Version: 3.0.1

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}, vlc-gui
Suggests: vlc-sdl, vlc-esd, vlc-gnome
Description: a free MPEG and DVD player
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is vlc, the VideoLAN Client. It plays MPEG and MPEG2 files, unencrypted
 DVDs, or MPEG streams from a network source.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gnome interface to vlc, the VideoLAN Client.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gtk+ interface to vlc, the VideoLAN Client.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to
 vlc, the VideoLAN Client.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 vlc, the VideoLAN Client.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a GGI plugin for vlc, the VideoLAN Client.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a Glide (3dfx) plugin for vlc, the VideoLAN Client.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Qt interface to vlc, the VideoLAN Client.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	if [ $(DEB_BUILD_ARCH) = i386 ]; then \
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gnome --enable-gtk --enable-fb --with-glide \
		--with-ggi --with-sdl --enable-esd \
		--enable-qt --disable-ppro ; \
	else \
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gnome --enable-gtk --enable-fb \
		--with-ggi --with-sdl --enable-esd \
		--enable-qt ; \
	fi

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# get rid of libdvdcss for the moment
	rm -f debian/vlc/usr/lib/libdvdcss*
	rm -Rf debian/vlc/usr/include

	# make symlinks for packages
	aliases="ggi gtk gnome esd sdl qt" ; \
	if [ $(DEB_BUILD_ARCH) = i386 ]; then aliases=$$aliases" glide" ; fi ; \
	for alias in `echo $$aliases` ; do \
		mkdir -p debian/vlc-$$alias/usr/share/doc/ ; \
		ln -s vlc debian/vlc-$$alias/usr/share/doc/vlc-$$alias ; \
		mkdir -p debian/vlc-$$alias/usr/lib/videolan/vlc/ ; \
		mv debian/vlc/usr/lib/videolan/vlc/$$alias.so \
			debian/vlc-$$alias/usr/lib/videolan/vlc/ ; done

	mkdir -p debian/vlc-gtk/usr/bin/
	mv debian/vlc/usr/bin/gvlc debian/vlc-gtk/usr/bin/
	mkdir -p debian/vlc-gnome/usr/bin/
	mv debian/vlc/usr/bin/gnome-vlc debian/vlc-gnome/usr/bin/
	mkdir -p debian/vlc-qt/usr/bin/
	mv debian/vlc/usr/bin/qvlc debian/vlc-qt/usr/bin/

	mkdir -p debian/vlc/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/vlc.png \
		debian/vlc/usr/share/pixmaps/
	mkdir -p debian/vlc/usr/share/gnome/apps/Multimedia/
	cp debian/vlc.desktop debian/vlc/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-gtk/usr/share/videolan/ \
		debian/vlc-gtk/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/gvlc.xpm \
		debian/vlc-gtk/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/gvlc.png \
		debian/vlc-gtk/usr/share/pixmaps/
	mkdir -p debian/vlc-gtk/usr/share/gnome/apps/Multimedia/
	cp debian/gvlc.desktop debian/vlc-gtk/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-gnome/usr/share/videolan/ \
		debian/vlc-gnome/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/gnome-vlc.xpm \
		debian/vlc-gnome/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/gnome-vlc.png \
		debian/vlc-gnome/usr/share/pixmaps/
	mkdir -p debian/vlc-gnome/usr/share/gnome/apps/Multimedia/
	cp debian/gnome-vlc.desktop debian/vlc-gnome/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-qt/usr/share/videolan/ \
		debian/vlc-qt/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/qvlc.xpm \
		debian/vlc-qt/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/qvlc.png \
		debian/vlc-qt/usr/share/pixmaps/

	mkdir -p debian/vlc/usr/share/man/man1/
	gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
	mkdir -p debian/vlc-gtk/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-gtk/usr/share/man/man1/gvlc.1.gz
	mkdir -p debian/vlc-gnome/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-gnome/usr/share/man/man1/gnome-vlc.1.gz
	mkdir -p debian/vlc-qt/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-qt/usr/share/man/man1/qvlc.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	#dh_installcron
#	dh_installmanpages -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-sdl -Nvlc-qt doc/vlc.1
	#dh_installinfo
#	dh_undocumented
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-sdl -Nvlc-qt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -Nvlc-glide
	if [ $(DEB_BUILD_ARCH) = i386 ]; then \
		dh_gencontrol ;\
		dh_md5sums ;\
		dh_builddeb ;\
	else \
		dh_gencontrol -Nvlc-glide ;\
		dh_md5sums -Nvlc-glide ;\
		dh_builddeb -Nvlc-glide ;\
	fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
